Function
atEnd
Determines whether an iterator is at the end position.
bool atEnd(iterator [, container])
Include Headers
seqan/basic.h, seqan/graph_types.h
Parameters

iterator | An iterator. Types: RootedIteratorConcept: AnnotationTree Iterator Adjacency Iterator, Bfs Iterator, BottomUp Iterator, Dfs Preorder Iterator, Edge Iterator, Iter, Out-Edge Iterator, Pipe, Pool, Segment, Stream, TopDownHistory Iterator, Vertex Iterator
container | Container of iterator. Remarks: If iterator implements RootedIteratorConcept then container is optional.

Return Values
true if iterator points behind the last item of the container, otherwise false.
Member of
Stream, Bfs Iterator, BottomUp Iterator, Edge Iterator, Segment, Iter, Vertex Iterator, Pipe, Dfs Preorder Iterator, Out-Edge Iterator, Adjacency Iterator, TopDownHistory Iterator, Pool
Example Programs
Iterator Basics
Part of Concept
RootedIteratorConcept, ContainerConcept
See Also
end, goEnd, atBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57